/* noteform.c
   Copyright (C) 1999 Ben Darnell
   This file is a part of ThoughtStream,
   which is distributed under the GNU GPL.
*/

#include <Pilot.h>
#include "callback.h"

#include "thoughtstream.h"

Boolean NoteFormHandleEvent(EventPtr e)
{
   Boolean handled=false;

   CALLBACK_PROLOGUE;

   switch (e->eType) {
   case frmOpenEvent:
      FrmDrawForm(FrmGetActiveForm());
      handled=true;
      break;

   case ctlSelectEvent:
      switch (e->data.ctlSelect.controlID) {
      };
      break;

   default:
      break;
   };
   CALLBACK_EPILOGUE;
   return handled;
}
