/* wrappers.h - wrappers for common PalmOS tasks
   Copyright (C) 1999 Ben Darnell
   This file is a part of ThoughtStream,
   which is distributed under the GNU GPL.
*/
#ifndef wrappers_h
#define wrappers_h

VoidPtr GetObjectPtr(Word id);
FieldPtr GetFocusObjectPtr();

void Beep(Long freq, UInt duration);

DmOpenRef DBCreate(ULong creator, ULong type, CharPtr name);
Byte GetByte(Ptr prec, Word offset);
Word GetWord(Ptr prec, Word offset);
Long GetLong(Ptr prec, Word offset);
void SetByte(Ptr prec, Word offset, Byte data);
void SetWord(Ptr prec, Word offset, Word data);
void SetLong(Ptr prec, Word offset, Long data);
Err DBInsert(DmOpenRef db, Word record_index, Word offset,
	     Ptr src, Word num_bytes);
Err DBAppend(DmOpenRef db, Word record_index, Ptr src, Word num_bytes);
Err DBRemove(DmOpenRef db, Word record_index, Word offset, Word num_bytes);


#endif /* wrappers_h */
